<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <!-- 
			This section defines the "appenders" used to store log messages.
		  Other appenders are available (TraceContext, database, Event Log, SMTP, etc.). 
			For more information, see:
				http://logging.apache.org/log4net/release/config-examples.html
		-->
  <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
    <param name="File" value="{workFolder}EQuISDebug.log" />
    <param name="AppendToFile" value="true" />
    <param name="MaxSizeRollBackups" value="10" />
    <param name="MaximumFileSize" value="500KB" />
    <param name="RollingStyle" value="Size" />
    <param name="StaticLogFileName" value="true" />
    <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
    <layout type="log4net.Layout.PatternLayout">
      <param name="ConversionPattern" value="%d %a [%t] %-5p %c [%x] - %m%n" />
    </layout>
  </appender>
  <!-- what level of logging do you want to use:
      warn: only logs errors and warnings
      all: logs errors, warnings, and information messages (uses more disk space)
    -->
  <root>
    <level value="warn" />
    <appender-ref ref="RollingLogFileAppender" />
  </root>
</log4net>
